Bug 139415 - Web Inspector: Docked inspector repositioned incorrectly when dragging frame borders
Summary: Web Inspector: Docked inspector repositioned incorrectly when dragging frame ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2014-12-08 14:54 PST by Matt Baker
Modified: 2014-12-15 13:26 PST (History)
5 users (show)

See Also:


Attachments
After horizontal resize (328.27 KB, image/png)
2014-12-08 14:55 PST, Matt Baker
no flags Details
Patch (1.73 KB, patch)
2014-12-10 18:09 PST, Matt Baker
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Baker 2014-12-08 14:54:36 PST
When the inspector is docked on the right, resizing the main frame causes the inspector view to be repositioned incorrectly. This occurs when resizing horizontally or vertically. Reducing the size of the frame causes the left or top portion of the inspector to be clipped, and increasing the frame size causes empty space to be introduced in the view (see attachments). Using the docked inspector's splitter forces the view to "snap" back to the correct size.

It's possible this was introduced by https://bugs.webkit.org/show_bug.cgi?id=22263

Steps to reproduce:
1. Dock the inspector on the right.
2. Increase the width of the main frame by dragging either the left or right window edge.
3. The left edge of the docked inspector view is clipped.
Comment 1 Radar WebKit Bug Importer 2014-12-08 14:54:52 PST
<rdar://problem/19182181>
Comment 2 Matt Baker 2014-12-08 14:55:26 PST
Created attachment 242851 [details]
After horizontal resize
Comment 3 Matt Baker 2014-12-08 14:58:27 PST
Clarification: Clipping results from increasing the frame size. The empty space appears when decreasing the frame size.
Comment 4 Matt Baker 2014-12-08 16:19:14 PST
Clarification: this was likely introduced by https://bugs.webkit.org/show_bug.cgi?id=135120
Comment 5 Matt Baker 2014-12-10 18:09:50 PST
Created attachment 243086 [details]
Patch
Comment 6 Joseph Pecoraro 2014-12-12 13:32:50 PST
Comment on attachment 243086 [details]
Patch

r=me! Good find!
Comment 7 WebKit Commit Bot 2014-12-15 13:26:38 PST
Comment on attachment 243086 [details]
Patch

Clearing flags on attachment: 243086

Committed r177309: <http://trac.webkit.org/changeset/177309>
Comment 8 WebKit Commit Bot 2014-12-15 13:26:42 PST
All reviewed patches have been landed.  Closing bug.